nelmio_api_doc:
    documentation:
        openapi: 3.1.0
        info:
            title: Charon
            description: An app to manage registrations for Frama.space
            version: 1.0.0
        components:
            securitySchemes:
                httpAuth:
                    type: http
                    scheme: Basic
            parameters:
                page:
                    name: page
                    in: query
                    description: Page number for pagination
                    schema:
                        type: integer
                        default: 1
                        minimum: 1
                perPage:
                    name: perPage
                    in: query
                    description: Number of elements to give in each page
                    schema:
                        type: integer
                        default: 10
                        minimum: 1
                        maximum: 100
            responses:
                401:
                    description: Unauthenticated request
            schemas:
                PaginatedResult:
                    type: object
                    properties:
                        items:
                            type: array
                            items: []
                            description: "Any array of items"
                        pagination:
                            type: object
                            properties:
                                current_page:
                                    type: integer
                                    minimum: 1
                                has_previous_page:
                                    type: boolean
                                has_next_page:
                                    type: boolean
                                per_page:
                                    type: integer
                                    minimum: 1
                                    maximum: 100
                                total_page:
                                    type: integer
                SpaceDetails:
                    type: object
                    properties:
                        nc_instanceid:
                            type: string
                            example: ocga9hsuvgjy
                        nc_admin_username:
                            type: string
                            example: admin
                        nc_admin_email:
                            type: string
                            example: admin@myorganization.org
                        nc_remote_admin_username:
                            type: string
                            example: framadmin
                        nc_remote_admin_password:
                            type: string
                            example: "{]:con(`TriPhd2#2|[O=$18A%}Az."
                        nc_passwordsalt:
                            type: string
                            example: "rKdap5hz9jMWJ4iyzXCs0ZwnrldK\/y"
                        nc_secret:
                            type: string
                            example: 'uHP4W29JL0CXkTk+\/ZlpmItGW2V9vwmCN24KYsUByUrsSdnT'
                        office_port:
                            type: integer
                            example: 1026
                        oo_secret:
                            type: string
                            example: yGBp18zCqHzS0XG9wqnKXzZXnP4O9u
                        oo_server:
                            type: string
                            example: office-1
                        nc_hp_backend:
                            type: integer
                            example: 1027
                        domain:
                            type: string
                            example: myorga

    areas: # to filter documented areas
        path_patterns:
            - ^/api(?!/doc$) # Accepts routes under /api except /api/doc
